<template>
  <div class="console-animation">
    <pre class="console-animation__text"></pre>
  </div>
</template>

<script>
export default {
  name: "Console",
  props: {
    textConsole: String,
  },
  mounted: function () {
    const textArray = this.textConsole.split("");
    const textElem = document.getElementsByClassName(
      "console-animation__text"
    )[0];
    let count = 0;

    var interval = setInterval(() => {
      if (textArray[count] === "\n") {
        textElem.innerHTML += "<br>";
      } else {
        textElem.innerHTML += `<span class="console-animation__character">${textArray[count]}</span>`;
      }

      count++;
      if (count === textArray.length) {
        clearInterval(interval);
      }
    }, 40);
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style>
.console-animation {
  height: 100%;
  margin: 0 auto;
  width: 800px;
}

.console-animation__text {
  font-family: monospace;
  font-size: 18px;
  line-height: 1.5rem;
  padding: 2rem;
}

.console-animation__text .console-animation__character {
  color: #00a000;
}
</style>
